//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

#pragma once

#include "object.h"

extern void debugger_init();
extern bool debugger_check();

// 例外通知用 (MPU から)
extern void debugger_notifyexception(int vector);

// ブレークポイントモニター
class BreakpointMonitor : public Object
{
 public:
	BreakpointMonitor();
	~BreakpointMonitor() override { }

	void MonitorUpdate(TextScreen&) override;
};
extern BreakpointMonitor *gBreakpointMonitor;
