//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

#include "netdriver_none.h"

// コンストラクタ
NetDriverNone::NetDriverNone()
	: inherited("None", NULL, NULL, NULL)
{
}

// デストラクタ
NetDriverNone::~NetDriverNone()
{
}

// 初期化 & オープン
bool
NetDriverNone::Init()
{
	return true;
}

// パケットを送信する
bool
NetDriverNone::SendPacket(const std::vector<uint8>& data)
{
	return true;
}

// 受信スレッド
void
NetDriverNone::ThreadRun()
{
}
