//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

#pragma once

#include "netdriver.h"

class NetDriverTap : public NetDriver
{
	using inherited = NetDriver;
 public:
	// コンストラクタ
	NetDriverTap(EthernetDevice *parent_,
		std::mutex *mtx_, std::condition_variable *cv_);
	// デストラクタ
	~NetDriverTap() override;

	bool Init() override;
	bool SendPacket(const std::vector<uint8>& data) override;
	void ThreadRun() override;

 private:
	void Close();
};
