//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

#pragma once

#include "wxheader.h"

// バージョンダイアログ
class WXVersionDlg : public wxDialog
{
	using inherited = wxDialog;
 public:
	WXVersionDlg(wxWindow *parent);
	~WXVersionDlg() override;
};

// ホスト情報モニタ
class HostInfoMonitor : public IMonitor
{
 public:
	HostInfoMonitor();
	virtual ~HostInfoMonitor() override;

	nnSize GetMonitorSize() override;
	void MonitorUpdate(TextScreen& monitor) override;

 private:
	int width {};
	wxString osname {};
	wxString machinename {};
	wxString wxname {};
};

extern std::unique_ptr<HostInfoMonitor> gHostInfo;
