//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

#pragma once

#include "netdriver.h"

class NetDriverNone : public NetDriver
{
	using inherited = NetDriver;
 public:
	NetDriverNone();
	~NetDriverNone() override;

	bool Init() override;
	bool SendPacket(const std::vector<uint8>& data) override;
	void ThreadRun() override;
};
