//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

#pragma once

// https://jfly.uni-koeln.de/colorset/

// 結局 define が最強…
// コンストラクトしたところでたぶんたいしたコストじゃないと思うので
// 必要なところでつどつどどっかから RGB 引いてきて、てんでバラバラに
// 書くよりはマシというくらいにしておく。

// アクセントカラー (文字など)
#define UD_RED				wxColour(255,  75,   0)	// 赤
#define UD_YELLOW			wxColour(255, 241,   0)	// 黄色
#define UD_GREEN			wxColour(  3, 175, 122)	// 緑
#define UD_BLUE				wxColour(  0,  90, 255)	// 青
#define UD_SKYBLUE			wxColour( 77, 196, 255)	// 空色
#define UD_PINK				wxColour(255, 128, 130)	// ピンク
#define UD_ORANGE			wxColour(246, 170,   0)	// オレンジ
#define UD_PURPLE			wxColour(153,   0, 153)	// 紫
#define UD_BROWN			wxColour(128,  64,   0)	// 茶色

// ベースカラー (背景など)
#define UD_LIGHT_PINK		wxColour(255, 202, 191)	// 明るいピンク
#define UD_CREAM			wxColour(255, 255, 128)	// クリーム
#define UD_YELLOW_GREEN		wxColour(216, 242,  85)	// 明るい黄緑
#define UD_LIGHT_SKYBLUE	wxColour(191, 228, 255)	// 明るい空色
#define UD_BEIGE			wxColour(255, 202, 128)	// ベージュ
#define UD_LIGHT_GREEN		wxColour(119, 217, 168)	// 明るい緑
#define UD_LIGHT_PURPLE		wxColour(201, 172, 230)	// 明るい紫

// 無彩色
#define UD_LIGHT_GREY		wxColour(200, 200, 203)	// 明るいグレー
#define UD_GREY				wxColour(132, 145, 158)	// グレー
